### Hierarchy

- unknown
  - InitMultisigRequest

## Index

### Constructors

- constructor

### Methods

- clearPubKeyRing
- clearSenderNodeAddress
- getCurrentDate
- getExchangedMultisigHex
- getMadeMultisigHex
- getPreparedMultisigHex
- getPubKeyRing
- getSenderNodeAddress
- getTradeId
- getUid
- hasPubKeyRing
- hasSenderNodeAddress
- serializeBinary
- setCurrentDate
- setExchangedMultisigHex
- setMadeMultisigHex
- setPreparedMultisigHex
- setPubKeyRing
- setSenderNodeAddress
- setTradeId
- setUid
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new InitMultisigRequest(): InitMultisigRequest

- Inherited from jspb.Message.constructor

  #### Returns InitMultisigRequest

## Methods

### clearPubKeyRing

- clearPubKeyRing(): InitMultisigRequest

- - Defined in src/protobuf/pb_pb.d.ts:1355

  #### Returns InitMultisigRequest

### clearSenderNodeAddress

- clearSenderNodeAddress(): InitMultisigRequest

- - Defined in src/protobuf/pb_pb.d.ts:1350

  #### Returns InitMultisigRequest

### getCurrentDate

- getCurrentDate(): number

- - Defined in src/protobuf/pb_pb.d.ts:1360

  #### Returns number

### getExchangedMultisigHex

- getExchangedMultisigHex(): string

- - Defined in src/protobuf/pb_pb.d.ts:1369

  #### Returns string

### getMadeMultisigHex

- getMadeMultisigHex(): string

- - Defined in src/protobuf/pb_pb.d.ts:1366

  #### Returns string

### getPreparedMultisigHex

- getPreparedMultisigHex(): string

- - Defined in src/protobuf/pb_pb.d.ts:1363

  #### Returns string

### getPubKeyRing

- getPubKeyRing(): undefined | PubKeyRing

- - Defined in src/protobuf/pb_pb.d.ts:1352

  #### Returns undefined | PubKeyRing

### getSenderNodeAddress

- getSenderNodeAddress(): undefined | NodeAddress

- - Defined in src/protobuf/pb_pb.d.ts:1347

  #### Returns undefined | NodeAddress

### getTradeId

- getTradeId(): string

- - Defined in src/protobuf/pb_pb.d.ts:1344

  #### Returns string

### getUid

- getUid(): string

- - Defined in src/protobuf/pb_pb.d.ts:1357

  #### Returns string

### hasPubKeyRing

- hasPubKeyRing(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:1354

  #### Returns boolean

### hasSenderNodeAddress

- hasSenderNodeAddress(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:1349

  #### Returns boolean

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:1372

  #### Returns Uint8Array

### setCurrentDate

- setCurrentDate(value: number): InitMultisigRequest

- - Defined in src/protobuf/pb_pb.d.ts:1361

  #### Parameters

  - ##### value: number

  #### Returns InitMultisigRequest

### setExchangedMultisigHex

- setExchangedMultisigHex(value: string): InitMultisigRequest

- - Defined in src/protobuf/pb_pb.d.ts:1370

  #### Parameters

  - ##### value: string

  #### Returns InitMultisigRequest

### setMadeMultisigHex

- setMadeMultisigHex(value: string): InitMultisigRequest

- - Defined in src/protobuf/pb_pb.d.ts:1367

  #### Parameters

  - ##### value: string

  #### Returns InitMultisigRequest

### setPreparedMultisigHex

- setPreparedMultisigHex(value: string): InitMultisigRequest

- - Defined in src/protobuf/pb_pb.d.ts:1364

  #### Parameters

  - ##### value: string

  #### Returns InitMultisigRequest

### setPubKeyRing

- setPubKeyRing(value?: PubKeyRing ): InitMultisigRequest

- - Defined in src/protobuf/pb_pb.d.ts:1353

  #### Parameters

  - ##### Optional value: PubKeyRing

  #### Returns InitMultisigRequest

### setSenderNodeAddress

- setSenderNodeAddress(value?: NodeAddress ): InitMultisigRequest

- - Defined in src/protobuf/pb_pb.d.ts:1348

  #### Parameters

  - ##### Optional value: NodeAddress

  #### Returns InitMultisigRequest

### setTradeId

- setTradeId(value: string): InitMultisigRequest

- - Defined in src/protobuf/pb_pb.d.ts:1345

  #### Parameters

  - ##### value: string

  #### Returns InitMultisigRequest

### setUid

- setUid(value: string): InitMultisigRequest

- - Defined in src/protobuf/pb_pb.d.ts:1358

  #### Parameters

  - ##### value: string

  #### Returns InitMultisigRequest

### toObject

- toObject(includeInstance?: boolean): InitMultisigRequest . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:1373

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns InitMultisigRequest . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): InitMultisigRequest

- - Defined in src/protobuf/pb_pb.d.ts:1376

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns InitMultisigRequest

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: InitMultisigRequest, reader: BinaryReader): InitMultisigRequest

- - Defined in src/protobuf/pb_pb.d.ts:1377

  #### Parameters

  - ##### message: InitMultisigRequest

  - ##### reader: BinaryReader

  #### Returns InitMultisigRequest

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: InitMultisigRequest, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:1375

  #### Parameters

  - ##### message: InitMultisigRequest

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: InitMultisigRequest ): InitMultisigRequest . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:1374

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: InitMultisigRequest

  #### Returns InitMultisigRequest . AsObject

Generated using TypeDoc